cordova.define("dynamicsNav-plugin-credentials.credentials", function(require, exports, module) {
var exec = require('cordova/exec');

var credentials = {
    getPersistedCredential: function (persistedCredentialRetrieved) {
        // Call the native implementation via Cordova's exec function

        exec(
            // The native implementation is supposed to call the success delegate with an array of elements.
            // There are three cases:
            //   1. We had a persisted user name and password => then the array should have two elements: <username> and <password>.
            //   2. We had only a persisted user name => then the array should have one element: <username>.
            //   3. We didn't have any credential information persisted => then the array should have zero elements.
            function (execResult) {
                var userName = undefined;
                var password = undefined;
                if (execResult.length == 2) {
                    userName = execResult[0];
                    password = execResult[1];
                }
                else if (execResult.length == 1) {
                    userName = execResult[0];
                }
                persistedCredentialRetrieved.invoke(userName, password);
            },
            null,
            "Credentials",
            "getPersistedCredential",
            []);
    },

    setPersistedCredential: function (strUserName, strPassword) {
        // Call the native implementation via Cordova's exec function
        exec(
            null,
            null,
            "Credentials",
            "setPersistedCredential",
            [strUserName, strPassword]);
    }
};

module.exports = credentials;
});
