cordova.define("dynamicsNav-plugin-protocolhandler.protocolhandler", function(require, exports, module) {
var ProtocolHandler = {
    LaunchUri: null,
    QueryAndStoreLaunchUri: function () {
        // Store a local copy of the launch uri. This is done so the GetLaunchUrl function can be synchrounous.
        // Because it is async the success handler can potentially be executed after the app is initialized. 
        // This would result in the GetLaunchUrl function returning an unexpected null value.
        var exec = require('cordova/exec');
        exec(function (uri) { ProtocolHandler.LaunchUri = uri; }, null, "ProtocolHandler", "GetLaunchUri", []);
    },
    // Handler for incomming protocol activations while the app is running. 
    // Platform specific implementations call this method when the app is reactivated using a url.
    ProcessProtocolRequest: function (urlRequest) {
        if (urlRequest && window.DN && DN.AppProtocolHandler) {
            ProtocolHandler.LaunchUri = urlRequest;
            window.setTimeout(function() { DN.AppProtocolHandler.handleProtocolRequest(urlRequest); }, 1);
        }
    },
    GetLaunchUrl: function () {
        return this.LaunchUri;
    }
};

document.addEventListener("deviceready", function () { ProtocolHandler.QueryAndStoreLaunchUri(); }, false);
module.exports = ProtocolHandler;
});
